JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ParameterID Class Reference
juce_audio_processors » utilities

Combines a parameter ID and a version hint. More...

`#include <juce_AudioProcessorParameterWithID.h>`

## Public Member Functions
| ParameterID ()=default
template<typename StringLike , typename = DisableIfSameOrDerived<ParameterID, StringLike>>
| ParameterID (StringLike &&identifier, int versionHint=0)
| Constructs an instance.
auto | getParamID () const
auto | getVersionHint () const

## Detailed Description

Combines a parameter ID and a version hint.

## Constructor & Destructor Documentation

## ◆ ParameterID() [1/2]

ParameterID::ParameterID | ( |  | ) |
| default

## ◆ ParameterID() [2/2]

template<typename StringLike , typename = DisableIfSameOrDerived<ParameterID, StringLike>>

ParameterID::ParameterID | ( | StringLike && | identifier,
|  | int | versionHint = 0 )

Constructs an instance.

Note that this constructor implicitly converts from Strings and string-like types.

Parameters

  identifier | A string that uniquely identifies a single parameter
  versionHint | Influences parameter ordering in Audio Unit plugins. Used to provide backwards compatibility of Audio Unit plugins in Logic and GarageBand.

See also
  AudioProcessorParameter (int)

## Member Function Documentation

## ◆ getParamID()

auto ParameterID::getParamID | ( |  | ) | const

See also
  AudioProcessorParameterWithID::paramID

## ◆ getVersionHint()

auto ParameterID::getVersionHint | ( |  | ) | const

See also
  AudioProcessorParameter (int)

The documentation for this class was generated from the following file:

- juce_AudioProcessorParameterWithID.h